<HTML>
<HEAD></HEAD>
<BODY>
<script type="text/javascript">
var Times=[];

function showArr()
{
var str='Array has elements<BR>';
for (var i=0; i<Times.length; i++)
    {
    for (var key in Times[i])
        {str+='{'+key+':'+Times[i][key]+'}<BR>';}
    }
document.getElementById('outPut').innerHTML=str;
return;    
}

function addArray()
{
  Times.push ({[document.getElementById('myKey').value] : document.getElementById('myValue').value});        
  return;
}
    
function reduce()
{
let newobj = Times.reduce(function(obj, current) {
        for (var key in current)
            {obj[key]=current[key];}
        return obj;
}, {});   
console.log(newobj);    
return        

}
 
</script>
Reduce Array of {key:value} to one object
Key:<input type='text' size='10' value='' id='myKey'>&nbsp;&nbsp;
Value:<input type='text' size='10' value='' id='myValue'>    
<input type='button' value='Add to array' id='addTime' onClick='addArray()'> 
<input type='button' value='Show array' id='showArr' onClick='showArr()'><BR>    
<input type='button' value='Reduce array to object' id='reduce' onClick='reduce()'> 
<div id='outPut'></div>    
</BODY>
</HTML>